[needs-packaging] Lanshark

Bug #228899 reported by Marcos on 2008-05-10
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Lanshark
Undecided
Unassigned
Debian
Fix Released
Unknown
Ubuntu
Wishlist
Unassigned
Nominated for Jaunty by manishmahabir

Bug Description

http://lanshark.29a.ch/

Lanshark is a free filesharing tool for local area networks. Lanshark allows you to share files with other users in the same network more efficiently. It automatically detects other lanshark users in the same Network and lets you browse trough their shares. Lanshark has a very fast search function that allows you to search through all the shares in the whole network in just a few seconds!
Features

    * Free software (GPL)
    * Easy to configure and use
    * Fast searching
    * Cross platform
    * Rich user interface (GTK)
    * Integrated webserver
    * Additional web interface
    * Automatic Peer Detection
    * No installation Required

Holyfive (patrick-holz) wrote :

Hi,

I recently created a package for Lanshark, which I use in Ubuntu 8.04. Perhaps it is useful in this case, so I attached it. Please have a look.

CU, Patrick

Piotr Ożarowski (piotr) wrote :

please remove simplejson from your package and depend on python-simplejson instead

Holyfive (patrick-holz) wrote :

Hi,

I don't understand your comment since simplejson is included, lanshark does not depend on the corresponding package (but on python-gtk and python).

CU, Patrick

Holyfive (patrick-holz) wrote :

Oh, I'm sorry, I didn't read your statement exactly. Now I understand what you want, so I will try to modify it.

CU, Patrick

Holyfive (patrick-holz) wrote :

Hi,

so here is the new version without simplejson. Please have a look and report any problems.

CU, Patrick

Holyfive (patrick-holz) wrote :

Hi,

can you please tell me why repackaging is required? I just tried to install the latest package on my Linux Mint Debian Edition with Kernel 3.2 and Gnome 3.2 and it works without any problems.

CU, Patrick

Holyfive (patrick-holz) wrote :

Ah, I see. I had to add "python2.7" as an alternative. Is that what you meant? If yes, please find the new version attached.

Changed in ubuntu:
status: Triaged → Fix Released
Andre (ajx) wrote :

Thank you very much for providing the *.deb. However, my intention goes a little bit further as I'd like to see Lanshark in Ubuntu's repositories. Then it would be available via Software-Center for easy installation to all Ubuntu users. An intermediate step between a standalone package and the acceptance into the repositories would be a PPA. Is there a PPA for Lanshark around? (I couldn't find one). The tag 'needs-packaging' is used to get packages into the repositories of Ubuntu: https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages . Marking this bug as 'fixed' means that Lanshark is now in the official package repositories? Building a standalone package does not solve the issue 'needs-packaging'. However it helps a lot and I'm grateful for the deb.

Holyfive (patrick-holz) wrote :

Hi,

I'm sorry, didn't know that. As far as I know there is no PPA for Lanshark, perhaps I can create one. I will contact the developer to check out if Lanshark will be developed further so that it makes sense.

Andre (ajx) wrote :

... in the meanwhile NitroShare looks like a good alternative: https://launchpad.net/nitroshare

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.